import React from 'react'
import { makeStyles, Divider, Typography } from '@material-ui/core'

const useStyles = makeStyles((theme) => ({
  divider: {
    marginTop: theme.spacing(1),
    marginBottom: theme.spacing(1)
  }
}))

export const AddressListItem = ({ children }) => {
  const classes = useStyles()

  return (
    <div className={classes.root}>
      <Typography variant='body2' className={classes.divider}>
        {children}
      </Typography>
      <Divider />
    </div>
  )
}
