import { IconButton, makeStyles } from '@material-ui/core';
import React from 'react';

const useStyles = makeStyles(
  theme => ({
    root: {
      borderRadius: 0,
    },
  }),
  { name: 'FUISquareIconButton' }
);

/**
 * <IconButton> but with a square highlight
 */
const FUISquareIconButton = props => {
  const classes = useStyles(props);
  return <IconButton {...props} classes={classes} />;
};

export default FUISquareIconButton;
