import React from 'react'
import { List } from '@material-ui/core'
import { AppMenuItem } from './AppMenuItem'

export const AppMenu = ({ childrenIcons, menuItems }) => {
  return (
    <nav aria-label='Site Navigation'>
      <List>
        {menuItems.map((item, index) => {
          return (
            <AppMenuItem key={index} childrenIcons={childrenIcons} {...item} />
          )
        })}
      </List>
    </nav>
  )
}
