import React from 'react'
import { createTeleporter } from 'react-teleporter'

const SubHeaderActions = createTeleporter({
  multiSources: true
})

// export const CustomTarget = () => {
//   const targetRef = SubHeaderActions.useTargetRef()
//   return <div ref={targetRef} />
// }

export const SubHeaderActionsTarget = SubHeaderActions.Target

/**
 * Places a button in the App SubHeader
 */
export const SubHeaderAction = (props) => {
  const { children, className, ...buttonProps } = props

  return <SubHeaderActions.Source>{children}</SubHeaderActions.Source>
}
